# Create document

Create a new document in catalog management.

## POST /public/v1/catalog/products/{productId}/documents

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5243-ga0bb7c09"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/products/{productId}/documents":{"post":{"tags":["Documents"],"parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"document":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Language":{"type":"string"},"DocumentType":{"allOf":[{"$ref":"#/components/schemas/DocumentType"}]},"Url":{"type":"string"},"DisplayOrder":{"type":"integer","format":"int32"}},"description":"Json representation of the document"},"file":{"type":"string","format":"binary"}}},"encoding":{"document":{"contentType":"application/json"},"file":{"contentType":"application/octet-stream"}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Document"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"DocumentType":{"enum":["Online","File"],"type":"string"},"Document":{"type":"object","properties":{"domainEvents":{"type":"array","items":{"$ref":"#/components/schemas/DomainEvent"},"readOnly":true},"markedForDelete":{"type":"boolean","readOnly":true},"markedForUpdate":{"type":"boolean","readOnly":true},"documentId":{"allOf":[{"$ref":"#/components/schemas/DocumentId"}],"readOnly":true},"fileId":{"allOf":[{"$ref":"#/components/schemas/FileId"}],"readOnly":true},"url":{"type":"string","nullable":true,"readOnly":true},"id":{"allOf":[{"$ref":"#/components/schemas/IBusinessIdentifier"}],"readOnly":true},"language":{"type":"string","nullable":true,"readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/DocumentStatus"}],"readOnly":true},"isDeleted":{"type":"boolean"},"revision":{"type":"integer","format":"int32","readOnly":true},"useDeleteStatus":{"type":"boolean","readOnly":true}},"additionalProperties":false},"DomainEvent":{"type":"object","properties":{"timeStamp":{"type":"string","format":"date-time"}},"additionalProperties":false},"DocumentId":{"type":"object","properties":{"value":{"type":"string","readOnly":true},"postfixNumber":{"type":"integer","format":"int32","readOnly":true}},"additionalProperties":false},"FileId":{"type":"object","properties":{"value":{"type":"string","readOnly":true}},"additionalProperties":false},"IBusinessIdentifier":{"type":"object","properties":{"value":{"type":"string","readOnly":true}},"additionalProperties":false},"DocumentStatus":{"enum":["Draft","Pending","Published","Unpublished","Deleted"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
